CREATE TABLE loy_rdm_itm_np (
    LOY_RDM_ITM_ID           NUMBER(18, 0) ,
    ACTION_NOTE              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ITEM_ID          NUMBER(18, 0) ,
    ATTRB_DEFN_ID            NUMBER(18, 0) ,
    COMMENTS                 VARCHAR2(1000),
    ITEM_NUM                 VARCHAR2(120)     NOT NULL,
    MEMBER_ID                NUMBER(18, 0)     NOT NULL,
    POINT_BLK_ID             NUMBER(18, 0) ,
    PROCESS_DT               TIMESTAMP(6)  ,
    PR_DEBT_PT               NUMBER        ,
    TXN_ID                   NUMBER(18, 0) ,
    TYPE_CODE                VARCHAR2(120) ,
    VALUE                    NUMBER        ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROMO_ID                 NUMBER(18, 0) ,
    LOY_RDM_ITM_ID           NUMBER(18, 0) ,
    ACTION_NOTE              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ITEM_ID          NUMBER(18, 0) ,
    ATTRB_DEFN_ID            NUMBER(18, 0) ,
    COMMENTS                 VARCHAR2(1000),
    ITEM_NUM                 VARCHAR2(120)     NOT NULL,
    MEMBER_ID                NUMBER(18, 0)     NOT NULL,
    POINT_BLK_ID             NUMBER(18, 0) ,
    PROCESS_DT               TIMESTAMP(6)  ,
    PR_DEBT_PT               NUMBER        ,
    TXN_ID                   NUMBER(18, 0) ,
    TYPE_CODE                VARCHAR2(120) ,
    VALUE                    NUMBER        ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROMO_ID                 NUMBER(18, 0) ,
    CONSTRAINT pk_loy_rdm_itm_np PRIMARY KEY (LOY_RDM_ITM_ID, LOY_RDM_ITM_ID)
);
